<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>disable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
    <BlazorWebAssemblyLoadAllGlobalizationData>true</BlazorWebAssemblyLoadAllGlobalizationData>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="BlazorZXingJs" Version="0.5.13" />
    <PackageReference Include="BuildBundlerMinifier" Version="3.2.449" />
    <PackageReference Include="BuildWebCompiler" Version="1.12.405" PrivateAssets="all" />
    <PackageReference Include="BundlerMinifier.Core" Version="3.2.449" PrivateAssets="all" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="7.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Authentication" Version="7.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="7.0.1" PrivateAssets="all" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="7.0.0" />
    <PackageReference Include="BlazorDownloadFileFast" Version="0.2.0" />
    <PackageReference Include="Blazored.LocalStorage" Version="4.3.0" />
    <PackageReference Include="DnetIndexedDb" Version="2.4.1" />
    <PackageReference Include="Markdig" Version="0.30.4" />
    <PackageReference Include="Microsoft.Extensions.Localization" Version="7.0.1" />
    <PackageReference Include="Toolbelt.Blazor.HeadElement" Version="7.3.1" />
  </ItemGroup>

  <ItemGroup>
    <ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Resources\ErrorMessages.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>ErrorMessages.resx</DependentUpon>
    </Compile>
    <Content Remove="wwwroot\vendor\fontawesome.css" />
    <None Include="wwwroot\vendor\fontawesome.css" />
    <Content Remove="wwwroot\vendor\ionicons.css" />
    <Content Remove="wwwroot\vendor\open-iconic.css" />
    <Content Remove="wwwroot\vendor\solid.css" />
    <None Include="wwwroot\vendor\solid.css" />
    <Content Remove="wwwroot\vendor\tailwind.css" />
    <None Include="wwwroot\vendor\tailwind.css" />
    <Content Remove="wwwroot\vendor\tailwind-generator.css" />
    <None Include="wwwroot\vendor\tailwind-generator.css" />
    <Content Remove="wwwroot\vendor\toggle-dark-light-mode.css" />
    <None Include="wwwroot\vendor\toggle-dark-light-mode.css" />
    <Content Remove="wwwroot\vendor\open-iconic.min.css" />
    <Content Remove="wwwroot\webfonts\fa-solid-900.eot" />
    <None Include="wwwroot\webfonts\fa-solid-900.eot" />
    <Content Remove="wwwroot\webfonts\fa-solid-900.ttf" />
    <None Include="wwwroot\webfonts\fa-solid-900.ttf" />
    <Content Remove="wwwroot\webfonts\fa-solid-900.woff" />
    <None Include="wwwroot\webfonts\fa-solid-900.woff" />
    <Content Remove="wwwroot\webfonts\fa-solid-900.woff2" />
    <None Include="wwwroot\webfonts\fa-solid-900.woff2" />
    <Content Remove="wwwroot\fonts\open-iconic.eot" />
    <None Include="wwwroot\fonts\open-iconic.eot" />
    <Content Remove="wwwroot\fonts\open-iconic.otf" />
    <None Include="wwwroot\fonts\open-iconic.otf" />
    <Content Remove="wwwroot\fonts\open-iconic.svg" />
    <None Include="wwwroot\fonts\open-iconic.svg" />
    <Content Remove="wwwroot\fonts\open-iconic.ttf" />
    <None Include="wwwroot\fonts\open-iconic.ttf" />
    <Content Remove="wwwroot\fonts\open-iconic.woff" />
    <None Include="wwwroot\fonts\open-iconic.woff" />
    <Content Remove="wwwroot\css\main.css" />
    <None Include="wwwroot\css\main.css" />
    <Content Remove="wwwroot\css\tailwind-override.css" />
    <None Include="wwwroot\css\tailwind-override.css" />
    <Content Remove="bundleconfig.json" />
    <None Include="bundleconfig.json" />
    <Content Remove="compilerconfig.json" />
    <None Include="compilerconfig.json" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\SocialPub\SocialPub\SocialPub.ClientModels\SocialPub.ClientModels.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="wwwroot\vendor\ionicons.min.css">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Resources\AllStrings.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>AllStrings.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Resources\ErrorMessages.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>ErrorMessages.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>
